Subject: bug#56353: closed (Re: bug#56353: sbcl-2.2.6 build fail)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 03 Jul 2022 10:13:02 +0000

Your bug report

#56353: sbcl-2.2.6 build fail

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56353: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56353
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#56353: sbcl-2.2.6 build fail
From: Guillaume Le Vaillant <[email-masked]>
To: [email-masked]
Cc: Tobias Geerinckx-Rice <[email-masked]>, Christopher Baines <[email-masked]>, [email-masked]
Date: Sun, 03 Jul 2022 10:09:10 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Guillaume Le Vaillant <[email-masked]> skribis:

> [email-masked] skribis:
>
>> I wonder what running this at the time builds failed would have shown:
>>
>> #/usr/bin/bash
>> # ~/bin/top-1-sans-hilights -- single snap of top without highlight escapes (no top opt for that??)
>> top -n 1 | \
>> sed -e 's:[\r][^\r]*[\r]\+::g' -e 's:[\x07\r]::g' -e 's:.\x08::g' \
>>     -e 's:\x1B\[[^a-zA-Z]*[a-zA-Z]\x0f*::g' \
>>     -e 's:\xe2\x80\x98:":g' -e 's:\xe2\x80\x99:":g'
>>
>> (no guarantees on my hack to get rid of the highlighting escapes
>> and utf8->ascii quote subst :)
>> (top seems to assume even -n 1 output is always going to interactive dest)
>>
>> Anyway, wondering: Could memory and CPU loading at the time
>> have triggered the build failure?
>
> I don't think so. It looks like the SB-SIMD optional module only gets
> built on x86_64 CPUs supporting AVX2 instructions. The Bayfront and
> Harbourfront machines don't, and this is why the 'build-doc' phase fails
> when trying to load SB-SIMD to compile its documentation.
>
> I'm testing a patch disabling SB-SIMD, and I'll push it if all goes
> well.

Patch pushed as e0d2f8164e6a1c15fdcae6f7dadb05c0c9e25352.
Closing.

Subject: sbcl-2.2.6 build fail
From: Wensheng Xie <[email-masked]>
To: [email-masked]
Date: Sat, 02 Jul 2022 17:29:22 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, guix:

the command:
guix package -u

log:
/gnu/store/6lq7dfdfzrlp24lmhj95fcnvkr2mrqfz-sbcl-2.2.6.drv wird erstellt …
- „build-doc“-Phasebuilder for `/gnu/store/6lq7dfdfzrlp24lmhj95fcnvkr2mrqfz-sbcl-2.2.6.drv' failed with exit code 1
Erstellung von /gnu/store/6lq7dfdfzrlp24lmhj95fcnvkr2mrqfz-sbcl-2.2.6.drv fehlgeschlagen
Das Erstellungsprotokoll kann unter „/var/log/guix/drvs/6l/q7dfdfzrlp24lmhj95fcnvkr2mrqfz-sbcl-2.2.6.drv.bz2“ eingesehen werden.
guix package: Fehler: build of
`/gnu/store/6lq7dfdfzrlp24lmhj95fcnvkr2mrqfz-sbcl-2.2.6.drv' failed

This is what I had right. If you need more, please let me know.

best regards
wxie